//
//  DocumentWindowController.h
//  Company
//
//  Created by Amin Negm-Awad on So.,16.09.12.
//  Copyright (c) 2012 Amin Negm-Awad. All rights reserved.
//

#import <Cocoa/Cocoa.h>

extern NSString * const personDeletionNotification;

@interface DocumentWindowController : NSWindowController
@property (strong) IBOutlet NSArrayController *groupsController;
@property (strong) IBOutlet NSArrayController *personsController;
@property (weak) IBOutlet NSOutlineView *sidebarView;

@property (strong) NSManagedObject *selectedGroup;

- (IBAction)addGroup:(id)sender;
- (IBAction)removeGroup:(id)sender;
- (IBAction)removePerson:(id)sender;
@end
