//
//  AppDelegate.m
//  Container
//
//  Created by Amin Negm-Awad on Mo.,11.03.13.
//  Copyright (c) 2013 Amin Negm-Awad. All rights reserved.
//

#import "AppDelegate.h"

@implementation AppDelegate
- (IBAction)calculate:(id)sender
{
	NSDateFormatter *formatter;
	[NSDateFormatter setDefaultFormatterBehavior:NSDateFormatterBehavior10_4];
	formatter = [[NSDateFormatter alloc] init];
	formatter.dateFormat = @"dd,MM,yy";

	NSString *inputString = self.inputTextField.stringValue;
	NSDate *date = [formatter dateFromString:inputString];
	
	formatter = [[NSDateFormatter alloc] init];
	formatter.dateFormat = @"dd. MMMM yyyy";
	formatter.locale = [[NSLocale alloc] initWithLocaleIdentifier:@"en_US"];
	
	NSString *outputString = [formatter stringFromDate:date];
	self.outputTextField.stringValue = outputString;
}

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
	// Insert code here to initialize your application
}

@end
