//
//  Converter.m
//  Converter
//
//  Created by Amin Negm-Awad on Di.,04.09.12.
//  Copyright (c) 2012 Amin Negm-Awad. All rights reserved.
//

#import "Converter.h"

@implementation Converter
- (IBAction)calculate:(id)sender
{
	double input = [self.inputTextField doubleValue];
	double factor = [self.factorTextField doubleValue];
	double result = input * factor;
	[self.outputTextField setDoubleValue:result];
}

- (void)displayExitCode:(NSInteger)exitCode inButton:(NSButton*)button
{
	switch( exitCode ) {
		case NSAlertFirstButtonReturn:
			button.title = @"Der erste";
			break;
		case NSAlertSecondButtonReturn:
			button.title = @"Der zweite";
			break;
		default:
			break;
	}
}

- (IBAction)playWithViews:(id)sender
{
	// Eine Alert erzeugen
	NSAlert *alert = [[NSAlert alloc] init];

	// Buttons hinzufuegen
	[alert addButtonWithTitle:@"Jein"];
	[alert addButtonWithTitle:@"Vielleicht"];
	
	// Text hinzufuegen
	[alert setMessageText:@"Möchten Sie das wirklich nicht tun?"];
	[alert setInformativeText:@"Kein Undo verfügbar."];
	
	// Symbol setzen
	[alert setAlertStyle:NSWarningAlertStyle];
	
	// Alert ausführen:
	NSInteger exitCode = [alert runModal];
	[self displayExitCode:exitCode inButton:sender];
}

@end
