//
//  Converter.m
//  Converter
//
//  Created by Amin Negm-Awad on Di.,04.09.12.
//  Copyright (c) 2012 Amin Negm-Awad. All rights reserved.
//

#import "Converter.h"

@implementation Converter
- (IBAction)calculate:(id)sender
{
	double input = [self.inputTextField doubleValue];
	double factor = [self.factorTextField doubleValue];
	double result = input * factor;
	NSColor* color;
	if( result > 100 ) {
		color = [NSColor redColor];
	} else {
		color = [NSColor controlTextColor];
	}
	[self.outputTextField setTextColor:color];
	[self.outputTextField setDoubleValue:result];
}

- (IBAction)playWithViews:(id)sender
{
	NSTabViewItem *selectedItem = [self.osTabView selectedTabViewItem];
	[self.osTabView selectNextTabViewItem:sender];
	if( [self.osTabView selectedTabViewItem] == selectedItem ) {
		[self.osTabView selectFirstTabViewItem:sender];
	}
}
@end
