//
//  main.m
//  ObjectiveC
//
//  Created by Amin Negm-Awad on Mo.,14.01.13.
//  Copyright (c) 2013 Amin Negm-Awad. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Instrument.h"
#import "Guitar.h"
#import "Piano.h"
#import "NSString+Word.h"

int main(int argc, const char * argv[])
{
	@autoreleasepool {
		id<Play> instrument;
		SEL pluckSelector = @selector(pluck);
		
		instrument = [[Instrument alloc] init];
		[instrument play];
		if ([instrument respondsToSelector:pluckSelector]) {
			[instrument pluck];
		}
				
		instrument = [[Guitar alloc] init];
		[instrument play];
		if ([instrument respondsToSelector:pluckSelector]) {
			[instrument pluck];
		}
	}
    return 0;
}

