//
//  NSString+Word.m
//  ObjectiveC
//
//  Created by Amin Negm-Awad on Do.,07.03.13.
//  Copyright (c) 2013 Amin Negm-Awad. All rights reserved.
//

#import "NSString+Word.h"

@implementation NSString (Word)
- (NSString*)firstWord
{
	NSCharacterSet *nonLetters;
	nonLetters = [[NSCharacterSet letterCharacterSet] invertedSet];
	NSRange nonLetterRange;
	nonLetterRange = [self rangeOfCharacterFromSet:nonLetters];
	if (nonLetterRange.location == NSNotFound) {
		return [NSString stringWithString:self];
	}
	return [self substringToIndex:nonLetterRange.location];
}
@end
