//
//  Document.m
//  ARC
//
//  Created by Amin Negm-Awad on Fr.,08.03.13.
//  Copyright (c) 2013 Amin Negm-Awad. All rights reserved.
//

#import "Document.h"
#import "Company.h"
#import "Group.h"
#import "Person.h"

@implementation Document
- (IBAction)createCompanyGraph:(id)sender
{
	NSLog(@"Methode betreten");
	Company *company = [[Company alloc] init];
	
	//	Eine Gruppe mit der Person Müller
	Group *tech = [[Group alloc] init];
	tech.name = @"Tech";
	Person *mueller = [[Person alloc] init];
	mueller.lastName = @"Müller";
	mueller.firstName = @"Peter";
	mueller.group = tech;
	mueller.logger();
	
	tech.leader = mueller;
	tech.members = [NSSet setWithObject:mueller];
	
	//	Eine leere Gruppe
	Group *marketing = [[Group alloc] init];
	marketing.name = @"Marketing";
	
	//	Gruppen der Company zuweisen
	company.groups = [NSSet setWithObjects:tech, marketing, nil];
	
	//	Fest zementieren
	self.company = company;
	
	NSLog(@"Nethode wird verlassen");
}

- (id)init
{
    self = [super init];
    if (self) {
		// Add your subclass-specific initialization here.
    }
    return self;
}

- (NSString *)windowNibName
{
	// Override returning the nib file name of the document
	// If you need to use a subclass of NSWindowController or if your document supports multiple NSWindowControllers, you should remove this method and override -makeWindowControllers instead.
	return @"Document";
}

- (void)windowControllerDidLoadNib:(NSWindowController *)aController
{
	[super windowControllerDidLoadNib:aController];
	// Add any code here that needs to be executed once the windowController has loaded the document's window.
}

+ (BOOL)autosavesInPlace
{
    return NO;
}

- (NSData *)dataOfType:(NSString *)typeName error:(NSError **)outError
{
	// Insert code here to write your document to data of the specified type. If outError != NULL, ensure that you create and set an appropriate error when returning nil.
	// You can also choose to override -fileWrapperOfType:error:, -writeToURL:ofType:error:, or -writeToURL:ofType:forSaveOperation:originalContentsURL:error: instead.
	NSException *exception = [NSException exceptionWithName:@"UnimplementedMethod" reason:[NSString stringWithFormat:@"%@ is unimplemented", NSStringFromSelector(_cmd)] userInfo:nil];
	@throw exception;
	return nil;
}

- (BOOL)readFromData:(NSData *)data ofType:(NSString *)typeName error:(NSError **)outError
{
	// Insert code here to read your document from the given data of the specified type. If outError != NULL, ensure that you create and set an appropriate error when returning NO.
	// You can also choose to override -readFromFileWrapper:ofType:error: or -readFromURL:ofType:error: instead.
	// If you override either of these, you should also override -isEntireFileLoaded to return NO if the contents are lazily loaded.
	NSException *exception = [NSException exceptionWithName:@"UnimplementedMethod" reason:[NSString stringWithFormat:@"%@ is unimplemented", NSStringFromSelector(_cmd)] userInfo:nil];
	@throw exception;
	return YES;
}

@end
