//
//  Document.m
//  Company
//
//  Created by Amin Negm-Awad on Sa.,15.09.12.
//  Copyright (c) 2012 Amin Negm-Awad. All rights reserved.
//

#import "Document.h"
#import "DocumentWindowController.h"

@implementation Document

- (id)init
{
    self = [super init];
    if (self) {
		// Add your subclass-specific initialization here.
    }
    return self;
}

- (NSString *)windowNibName
{
	// Override returning the nib file name of the document
	// If you need to use a subclass of NSWindowController or if your document supports multiple NSWindowControllers, you should remove this method and override -makeWindowControllers instead.
	return @"Document";
}

- (void)makeWindowControllers
{
	NSString* nibName = [self windowNibName];
	DocumentWindowController* controller
	= [[DocumentWindowController alloc] initWithWindowNibName:nibName];
	[self addWindowController:controller];
}

- (void)showInfoWindowForObjects:(NSArray*)objects
{
	NSLog( @"Objekte: %@", objects );
}

- (void)windowControllerDidLoadNib:(NSWindowController *)aController
{
	[super windowControllerDidLoadNib:aController];
	// Add any code here that needs to be executed once the windowController has loaded the document's window.
}

+ (BOOL)autosavesInPlace
{
    return YES;
}

@end
