//
//  DocumentWindowController.m
//  Company
//
//  Created by Amin Negm-Awad on So.,16.09.12.
//  Copyright (c) 2012 Amin Negm-Awad. All rights reserved.
//

#import "DocumentWindowController.h"

NSString* const personDeletionNotification
= @"com.cocoading.company.documentWC.notifications.personDeletion";

@interface DocumentWindowController ()

@end

@implementation DocumentWindowController
- (IBAction)removePerson:(id)sender
{
	NSNotificationCenter* center = [NSNotificationCenter defaultCenter];
	// Notification
	NSArray *selectedObjects = [self.personsController selectedObjects];
	for (NSManagedObject *person in selectedObjects) {
		[center postNotificationName:personDeletionNotification object:person];
	}
	// Remove
	[self.personsController removeObjects:selectedObjects];
}

- (IBAction)doSomething:(id)sender
{
	NSLog( @"Done." );
}

- (id)initWithWindowNibName:(NSString*)nibName
{
    self = [super initWithWindowNibName:nibName];
    if (self) {
    }
    
    return self;
}
@end
