//
//  AppDelegate.m
//  Company
//
//  Created by Amin Negm-Awad on Mo.,17.09.12.
//  Copyright (c) 2012 Amin Negm-Awad. All rights reserved.
//

#import "AppDelegate.h"
#import "InspectorWindowController.h"

@implementation AppDelegate
- (IBAction)showInspector:(id)sender
{
	if (self.inspectorWC == nil) {
		InspectorWindowController* controller
		= [[InspectorWindowController alloc]		initWithWindowNibName:@"InspectorWindowController"];
		[[controller window] setExcludedFromWindowsMenu:YES];
		self.inspectorWC = controller;
	}
	[[self.inspectorWC window] makeKeyAndOrderFront:self];
}

- (void)talkWithMe:(NSNotification*)notification
{
	NSLog( @"Notification %@", notification );
}
- (void)applicationDidFinishLaunching:(NSNotification*)notific
{
	// Guck mal, wer da spricht
	NSDistributedNotificationCenter* center;
	center = [NSDistributedNotificationCenter defaultCenter];
	[center addObserver:self selector:@selector( talkWithMe: )
						name:nil object:nil];
}

- (void)applicationWillTerminate:(NSNotification*)notification
{
	NSDistributedNotificationCenter* center;
	center = [NSDistributedNotificationCenter defaultCenter];
	[center removeObserver:self];
}
@end
