//
//  Converter.m
//  Converter
//
//  Created by Amin Negm-Awad on Di.,04.09.12.
//  Copyright (c) 2012 Amin Negm-Awad. All rights reserved.
//

#import "Converter.h"

@implementation Converter
- (IBAction)calculate:(id)sender
{
	double input = [self.inputTextField doubleValue];
	double factor = [self.factorTextField doubleValue];
	double result = input * factor;
	NSColor* color;
	if( result > 100 ) {
		color = [NSColor redColor];
	} else {
		color = [NSColor controlTextColor];
	}
	[self.outputTextField setTextColor:color];
	[self.outputTextField setDoubleValue:result];
}

- (IBAction)playWithViews:(id)sender
{
	NSModalSession session = [NSApp beginModalSessionForWindow:[sender window]];
	self.progressIndicator.usesThreadedAnimation = YES;
	double progress;
	for (progress = 0.0; progress < 100.0; progress += 10.0) {
		self.progressIndicator.doubleValue = progress;
		[NSApp runModalSession:session];
		sleep(1);
	}
	self.progressIndicator.doubleValue = self.progressIndicator.maxValue;
	[self.progressIndicator stopAnimation:sender];
	[NSApp endModalSession:session];
}
@end
