//
//  Converter.m
//  Converter
//
//  Created by Amin Negm-Awad on Di.,04.09.12.
//  Copyright (c) 2012 Amin Negm-Awad. All rights reserved.
//

#import "Converter.h"

@implementation Converter
- (IBAction)calculate:(id)sender
{
	double input = [self.inputTextField doubleValue];
	double factor = [self.factorTextField doubleValue];
	double result = input * factor;
	NSColor* color;
	if( result > 100 ) {
		color = [NSColor redColor];
	} else {
		color = [NSColor controlTextColor];
	}
	[self.outputTextField setTextColor:color];
	[self.outputTextField setDoubleValue:result];
}

- (IBAction)playWithViews:(id)sender
{
	NSView* box = [[sender superview] superview];
	
	// Ein paar Rechtecke
	CGFloat fullHeight = NSMaxY([[box superview] bounds]);
	CGFloat height;
	NSUInteger mask = [box autoresizingMask];
	
	// wir erfragen den neuen Zustand
	if( [sender state] == NSOffState ) {
		height = NSHeight( box.frame ) - NSMinY( [[box viewWithTag:1] frame]);
		mask |= NSViewMaxYMargin;
		mask &= ~NSViewHeightSizable; // Höhenanpassung ausschalten
	} else {
		height = NSMaxY([[box superview] bounds]);;
		mask &= ~NSViewMaxYMargin;
		mask |= NSViewHeightSizable; // Höhenanpassung einschalten
	}
	box.autoresizingMask = mask;
	
	NSRect frame = box.frame;
	frame.origin.y = fullHeight - height;
	frame.size.height = height;
	// wir setzen die Höhe auf das unterste Label
	[[box animator] setFrame:frame];
}
@end
