//
//  Document.m
//  Converter
//
//  Created by Amin Negm-Awad on Mo.,03.09.12.
//  Copyright (c) 2012 Amin Negm-Awad. All rights reserved.
//

#import "Document.h"

@implementation Document

- (id)init
{
    self = [super init];
    if (self) {
		// Add your subclass-specific initialization here.
    }
    return self;
}

- (NSString *)windowNibName
{
	// Override returning the nib file name of the document
	// If you need to use a subclass of NSWindowController or if your document supports multiple NSWindowControllers, you should remove this method and override -makeWindowControllers instead.
	return @"Document";
}

- (void)windowControllerDidLoadNib:(NSWindowController *)aController
{
	[super windowControllerDidLoadNib:aController];
	NSSortDescriptor* descriptor = [[NSSortDescriptor alloc] initWithKey:@"name"
																				  ascending:YES];
	NSArray* descriptors = [NSArray arrayWithObject:descriptor];
	[self.conversionsController setSortDescriptors:descriptors];
}

+ (BOOL)autosavesInPlace
{
    return NO;
}

@end
