//
//  main.m
//  ObjectiveC
//
//  Created by Amin Negm-Awad on Mo.,14.01.13.
//  Copyright (c) 2013 Amin Negm-Awad. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Instrument.h"
#import "Guitar.h"
#import "Piano.h"

int main(int argc, const char * argv[])
{
	Instrument *anInstrument;
	
	@autoreleasepool {
		anInstrument = [[Guitar alloc] init];
		anInstrument.name = @"Eine Gitarre";
		anInstrument.age = 0;
		anInstrument.price = 1000;
		NSLog( @"Wir haben: %@", anInstrument.name );
		NSLog( @"Alter: %ld Preis: %ld", anInstrument.age, anInstrument.price);
		
		//	Ein Jahr vergeht
		[anInstrument growOld];
		
		// Und jetzt noch einmal die Ausgabe
		NSLog( @"Alter: %ld Preis: %ld", anInstrument.age, anInstrument.price);

		// Jetzt ein Klavier
		Piano *aPiano = [[Piano alloc] init];
		aPiano.name = @"Klavier";
		aPiano.age = 0;
		aPiano.price = 1000;
		aPiano.keyOunt = @42;
		
		//	"Verstecken" wir wieder die Subklasse der Instanz:
		anInstrument = aPiano;
		
		NSLog( @"Wir haben: %@", anInstrument.name );
		NSLog( @"Alter: %ld Preis: %ld", anInstrument.age, anInstrument.price);
		if ([anInstrument isKindOfClass:[Piano class]]) {
			Piano *aPiano = (Piano*)anInstrument;
			NSLog( @"Klavier mit %@ Tasten", aPiano.keyOunt);
		}
		
		//	Ein Jahr vergeht
		[anInstrument growOld];
		
		// Und jetzt noch einmal die Ausgabe
		NSLog( @"Alter: %ld Preis: %ld", anInstrument.age, anInstrument.price);
	}
    return 0;
}

